import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class MaterialConfig {
    static LIST: string = "supplies/list"
    static ADD: string = "supplies"
    static DELETE: string = "supplies"
    static EDIT: string = "supplies"
}
class MaterialStore extends BaseStore<TagDataType> {
    constructor() {
        super(MaterialConfig)
        makeObservable(this, {})
    }
}

export const materialStore = new MaterialStore();
 